<Ui xmlns="http://www.blizzard.com/wow/ui/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.blizzard.com/wow/ui/ ..\FrameXML\UI.xsd">


    <Button name="DBM_GUI_OptionsFramePanelButtonTemplate" virtual="true">
        <ButtonText name="$parentText">
            <Anchors>
                <Anchor point="CENTER">
                    <Offset>
                        <AbsDimension x="0" y="0"/>
                    </Offset>
                </Anchor>
            </Anchors>
        </ButtonText>
        <NormalFont style="GameFontNormal"/>
        <HighlightFont style="GameFontHighlight"/>
        <DisabledFont style="GameFontDisable"/>
        <NormalTexture inherits="UIPanelButtonUpTexture"/>
        <PushedTexture inherits="UIPanelButtonDownTexture"/>
        <DisabledTexture inherits="UIPanelButtonDisabledTexture"/>
        <HighlightTexture inherits="UIPanelButtonHighlightTexture"/>
    </Button>

    <Button name="DBM_GUI_OptionsFrameTabButtonTemplate" virtual="true">
        <Size>
            <AbsDimension x="85" y="24"/>
        </Size>
        <Layers>
        <Layer level="BORDER">
                <Texture name="$parentLeftDisabled" file="Interface\OptionsFrame\UI-OptionsFrame-ActiveTab">
                    <Size>
                        <AbsDimension x="20" y="24"/>
                    </Size>
                    <Anchors>
                        <Anchor point="BOTTOMLEFT">
                            <Offset>
                                <AbsDimension x="0" y="-3"/>
                            </Offset>
                        </Anchor>
                    </Anchors>
                <TexCoords left="0" right="0.15625" top="0" bottom="1.0"/>
                </Texture>
            <Texture name="$parentMiddleDisabled" file="Interface\OptionsFrame\UI-OptionsFrame-ActiveTab">
                    <Size>
                        <AbsDimension x="47" y="24"/>
                    </Size>
                    <Anchors>
                        <Anchor point="LEFT" relativeTo="$parentLeftDisabled" relativePoint="RIGHT"/>
                    </Anchors>
                <TexCoords left="0.15625" right="0.84375" top="0" bottom="1.0"/>
                </Texture>
            <Texture name="$parentRightDisabled" file="Interface\OptionsFrame\UI-OptionsFrame-ActiveTab">
                    <Size>
                        <AbsDimension x="20" y="24"/>
                    </Size>
                    <Anchors>
                        <Anchor point="LEFT" relativeTo="$parentMiddleDisabled" relativePoint="RIGHT"/>
                    </Anchors>
                <TexCoords left="0.84375" right="1.0" top="0" bottom="1.0"/>
                </Texture>
            <Texture name="$parentLeft" file="Interface\OptionsFrame\UI-OptionsFrame-InActiveTab">
                    <Size>
                        <AbsDimension x="20" y="24"/>
                    </Size>
                    <Anchors>
                        <Anchor point="TOPLEFT"/>
                    </Anchors>
                <TexCoords left="0" right="0.15625" top="0" bottom="1.0"/>
                </Texture>
            <Texture name="$parentMiddle" file="Interface\OptionsFrame\UI-OptionsFrame-InActiveTab">
                    <Size>
                        <AbsDimension x="47" y="24"/>
                    </Size>
                    <Anchors>
                        <Anchor point="LEFT" relativeTo="$parentLeft" relativePoint="RIGHT"/>
                </Anchors>
                <TexCoords left="0.15625" right="0.84375" top="0" bottom="1.0"/>
                </Texture>
            <Texture name="$parentRight" file="Interface\OptionsFrame\UI-OptionsFrame-InActiveTab">
                    <Size>
                        <AbsDimension x="20" y="24"/>
                    </Size>
                    <Anchors>
                        <Anchor point="LEFT" relativeTo="$parentMiddle" relativePoint="RIGHT"/>
                    </Anchors>
                <TexCoords left="0.84375" right="1.0" top="0" bottom="1.0"/>
            </Texture>
            </Layer>
        </Layers>
        <ButtonText name="$parentText">
            <Anchors>
                <Anchor point="CENTER">
                    <Offset>
                        <AbsDimension x="0" y="-3"/>
                    </Offset>
                </Anchor>
            </Anchors>
        </ButtonText>
        <NormalFont style="GameFontNormalSmall"/>
        <HighlightFont style="GameFontHighlightSmall"/>
        <DisabledFont style="GameFontHighlightSmall"/>
        <HighlightTexture name="$parentHighlightTexture" file="Interface\PaperDollInfoFrame\UI-Character-Tab-Highlight" alphaMode="ADD" hidden="false">
            <Anchors>
                <Anchor point="LEFT">
                    <Offset>
                        <AbsDimension x="10" y="-4"/>
                    </Offset>
                </Anchor>
                <Anchor point="RIGHT">
                    <Offset>
                        <AbsDimension x="-10" y="-4"/>
                    </Offset>
                </Anchor>
            </Anchors>
        </HighlightTexture>
    </Button>

    <Slider name="DBM_GUI_PanelScrollBarTemplate" virtual="true">
        <Size>
            <AbsDimension x="16" y="0"/>
        </Size>
        <Frames>
            <Button name="$parentScrollUpButton" inherits="UIPanelScrollUpButtonTemplate">
                <Anchors>
                    <Anchor point="BOTTOM" relativePoint="TOP"/>
                </Anchors>
                <Scripts>
                    <OnClick>
                        local parent = self:GetParent();
                        parent:SetValue(parent:GetValue() - (parent:GetHeight() / 2));
                        PlaySound("UChatScrollButton");
                    </OnClick>
                </Scripts>
            </Button>
            <Button name="$parentScrollDownButton" inherits="UIPanelScrollDownButtonTemplate">
                <Anchors>
                    <Anchor point="TOP" relativePoint="BOTTOM"/>
                </Anchors>
                <Scripts>
                    <OnClick>
                        local parent = self:GetParent();
                        parent:SetValue(parent:GetValue() + (parent:GetHeight() / 2));
                        PlaySound("UChatScrollButton");
                    </OnClick>
                </Scripts>
            </Button>
        </Frames>
        <Scripts>
            <OnValueChanged>
                self:GetParent():SetVerticalScroll(value);

                if value == select(1, self:GetMinMaxValues()) then
                    getglobal(self:GetName().."ScrollUpButton"):Disable()
                else
                    getglobal(self:GetName().."ScrollUpButton"):Enable()
                end
                if value == select(2, self:GetMinMaxValues()) then
                    getglobal(self:GetName().."ScrollDownButton"):Disable()
                else
                    getglobal(self:GetName().."ScrollDownButton"):Enable()
                end
            </OnValueChanged>
        </Scripts>
        <ThumbTexture name="$parentThumbTexture" inherits="UIPanelScrollBarButton" file="Interface\Buttons\UI-ScrollBar-Knob">
            <Size>
                <AbsDimension x="16" y="24"/>
            </Size>
            <TexCoords left="0.25" right="0.75" top="0.125" bottom="0.875"/>
        </ThumbTexture>
    </Slider>
    
    <Frame name="DBM_GUI_OptionsFrameListTemplate" virtual="true">
        <Layers>
            <Layer level="BACKGROUND">
                <Texture name="$parentTopLeft" file="Interface\Tooltips\UI-Tooltip-Border">
                    <Size>
                        <AbsDimension x="16" y="16"/>
                    </Size>
                    <Anchors>
                        <Anchor point="TOPLEFT"/>
                    </Anchors>
                    <TexCoords left="0.5" right="0.625" top="0" bottom="1"/>
                </Texture>
                <Texture name="$parentBottomLeft" file="Interface\Tooltips\UI-Tooltip-Border">
                    <Size>
                        <AbsDimension x="16" y="16"/>
                    </Size>
                    <Anchors>
                        <Anchor point="BOTTOMLEFT"/>
                    </Anchors>
                    <TexCoords left="0.75" right="0.875" top="0" bottom="1"/>
                </Texture>
                <Texture name="$parentBottomRight" file="Interface\Tooltips\UI-Tooltip-Border">
                    <Size>
                        <AbsDimension x="16" y="16"/>
                    </Size>
                    <Anchors>
                        <Anchor point="BOTTOMRIGHT"/>
                    </Anchors>
                    <TexCoords left="0.875" right="1" top="0" bottom="1"/>
                </Texture>
                <Texture name="$parentTopRight" file="Interface\Tooltips\UI-Tooltip-Border">
                    <Size>
                        <AbsDimension x="16" y="16"/>
                    </Size>
                    <Anchors>
                        <Anchor point="TOPRIGHT"/>
                    </Anchors>
                    <TexCoords left="0.625" right="0.75" top="0" bottom="1"/>
                </Texture>
                <Texture name="$parentLeft" file="Interface\Tooltips\UI-Tooltip-Border">
                    <Anchors>
                        <Anchor point="TOPLEFT" relativeTo="$parentTopLeft" relativePoint="BOTTOMLEFT"/>
                        <Anchor point="BOTTOMRIGHT" relativeTo="$parentBottomLeft" relativePoint="TOPRIGHT"/>
                    </Anchors>
                    <TexCoords left="0" right="0.125" top="0" bottom="1"/>
                </Texture>
                <Texture name="$parentRight" file="Interface\Tooltips\UI-Tooltip-Border">
                    <Anchors>
                        <Anchor point="TOPLEFT" relativeTo="$parentTopRight" relativePoint="BOTTOMLEFT"/>
                        <Anchor point="BOTTOMRIGHT" relativeTo="$parentBottomRight" relativePoint="TOPRIGHT"/>
                    </Anchors>
                    <TexCoords left="0.125" right="0.25" top="0" bottom="1"/>
                </Texture>
                <Texture name="$parentBottom" file="Interface\OptionsFrame\UI-OptionsFrame-Spacer">
                    <Size>
                        <AbsDimension x="0" y="16"/>
                    </Size>
                    <Anchors>
                        <Anchor point="BOTTOMLEFT" relativeTo="$parentBottomLeft" relativePoint="BOTTOMRIGHT">
                            <Offset>
                                <AbsDimension x="0" y="-2"/>
                            </Offset>
                        </Anchor>
                        <Anchor point="BOTTOMRIGHT" relativeTo="$parentBottomRight" relativePoint="BOTTOMLEFT"/>
                    </Anchors>
                </Texture>
                <Texture name="$parentTop" file="Interface\OptionsFrame\UI-OptionsFrame-Spacer">
                    <Size>
                        <AbsDimension x="0" y="16"/>
                    </Size>
                    <Anchors>
                        <Anchor point="TOPLEFT" relativeTo="$parentTopLeft" relativePoint="TOPRIGHT">
                            <Offset>
                                <AbsDimension x="0" y="7"/>
                            </Offset>
                        </Anchor>
                        <Anchor point="TOPRIGHT" relativeTo="$parentTopRight" relativePoint="TOPLEFT"/>
                    </Anchors>
                </Texture>
            </Layer>
        </Layers>
        <Frames>
            <ScrollFrame name="$parentList" hidden="true">
                <Size>
                    <AbsDimension x="24" y="0"/>
                </Size>
                <Anchors>
                    <Anchor point="TOPRIGHT">
                        <Offset>
                            <AbsDimension x="-3" y="-3"/>
                        </Offset>
                    </Anchor>
                    <Anchor point="BOTTOMRIGHT">
                        <Offset>
                            <AbsDimension x="-3" y="3"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Backdrop edgeFile="Interface\Tooltips\UI-Tooltip-Border" tile="true">
                    <EdgeSize>
                        <AbsValue val="12"/>
                    </EdgeSize>
                    <TileSize>
                        <AbsValue val="16"/>
                    </TileSize>
                    <BackgroundInsets>
                        <AbsInset left="0" right="0" top="5" bottom="5"/>
                    </BackgroundInsets>
                </Backdrop>                
                <Scripts>
                    <OnLoad>
                        self:SetBackdropBorderColor(.6, .6, .6, .6)
                        getglobal(self:GetName().."ScrollBarScrollUpButton"):Disable()
                        getglobal(self:GetName().."ScrollBarScrollDownButton"):Disable()

                        local scrollbar = getglobal(self:GetName().."ScrollBar")
                        scrollbar:SetMinMaxValues(0, 0)
                        scrollbar:SetValue(0)
                        self.offset = 0    
                    </OnLoad>
                    <OnVerticalScroll>
                        local scrollbar = getglobal(self:GetName().."ScrollBar")
                        scrollbar:SetValue(offset)
                        self.offset = floor((offset / 18) + 0.5)
                        DBM_GUI_OptionsFrame:UpdateMenuFrame(self:GetParent())                        
                    </OnVerticalScroll>
                </Scripts>
                <Frames>
                    <Slider name="$parentScrollBar" inherits="DBM_GUI_PanelScrollBarTemplate">
                        <Anchors>
                            <Anchor point="TOPRIGHT">
                                <Offset>
                                    <AbsDimension x="0" y="-20"/>
                                </Offset>
                            </Anchor>
                            <Anchor point="BOTTOMLEFT">
                                <Offset>
                                    <AbsDimension x="0" y="19"/>
                                </Offset>
                            </Anchor>    
                        </Anchors>
                    </Slider>
                    <Frame name="$parentScrollChildFrame" hidden="true"/>
                </Frames>
            </ScrollFrame>
        </Frames>
        <Scripts>
            <OnMouseWheel>
                local scrollBar = getglobal(self:GetName() .. "ListScrollBar")
                if ( arg1 > 0 ) then
                    scrollBar:SetValue(scrollBar:GetValue() - (scrollBar:GetHeight() / 2))
                else
                    scrollBar:SetValue(scrollBar:GetValue() + (scrollBar:GetHeight() / 2))
                end
                DBM_GUI_OptionsFrame:UpdateMenuFrame(self)    
            </OnMouseWheel>
        </Scripts>
    </Frame>

    <Frame name="DBM_GUI_OptionsFrame" parent="UIParent" hidden="true" enableMouse="true" frameStrata="DIALOG" movable="true">
        <Size>
            <AbsDimension x="720" y="500"/>
        </Size>
        <Anchors>
            <Anchor point="CENTER"/>
        </Anchors>
        <Backdrop bgFile="Interface\DialogFrame\UI-DialogBox-Background" edgeFile="Interface\DialogFrame\UI-DialogBox-Border" tile="true">
            <BackgroundInsets>
                <AbsInset left="11" right="11" top="12" bottom="10"/>
            </BackgroundInsets>
            <TileSize>
                <AbsValue val="32"/>
            </TileSize>
            <EdgeSize>
                <AbsValue val="32"/>
            </EdgeSize>
        </Backdrop>
        <Layers>
            <Layer level="ARTWORK">
                <Texture name="$parentHeader" file="Interface\DialogFrame\UI-DialogBox-Header">
                    <Size>
                        <AbsDimension x="300" y="68"/>
                    </Size>
                    <Anchors>
                        <Anchor point="TOP">
                            <Offset>
                                <AbsDimension x="0" y="12"/>
                            </Offset>
                        </Anchor>
                    </Anchors>
                </Texture>
                <FontString name="$parentHeaderText" inherits="GameFontNormal" text="Deadly Boss Mods">
                    <Anchors>
                        <Anchor point="TOP" relativeTo="$parentHeader">
                            <Offset>
                                <AbsDimension x="0" y="-14"/>
                            </Offset>
                        </Anchor>
                    </Anchors>
                </FontString>
                <FontString name="$parentRevision" inherits="GameFontDisableSmall" text="">
                    <Anchors>
                        <Anchor point="BOTTOMLEFT" relativeTo="$parent" relativePoint="BOTTOMLEFT">
                            <Offset>
                                <AbsDimension x="20" y="35"/>
                            </Offset>
                        </Anchor>
                    </Anchors>
                </FontString>
            </Layer>
        </Layers>
        <Frames>
            <Button name="$parentOkay" inherits="UIPanelButtonTemplate" text="OKAY">
                <Size>
                    <AbsDimension x="96" y="22"/>
                </Size>
                <Anchors>
                    <Anchor point="BOTTOMRIGHT">
                        <Offset>
                            <AbsDimension x="-16" y="16"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Scripts>
                    <OnClick>
                        self:GetParent():Hide()
                    </OnClick>
                </Scripts>
            </Button>
            <Button name="$parentLink" enableMouse="true">
                <Size>
                    <AbsDimension x="300" y="22"/>
                </Size>
                <Anchors>
                    <Anchor point="BOTTOMLEFT">
                        <Offset>
                            <AbsDimension x="20" y="12"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Layers>
                    <Layer level="ARTWORK">
                        <FontString name="$parentLink" inherits="GameFontNormalLarge" text="https://gitlab.com/knights-of-sunwell/dbm-sirus">
                            <Anchors>
                                <Anchor point="BOTTOMLEFT" relativeTo="$parent" relativePoint="BOTTOMLEFT">
                                    <Offset>
                                        <AbsDimension x="0" y="0"/>
                                    </Offset>
                                </Anchor>
                            </Anchors>
                            <Color r="1" g="0.82" b="0" a="1" />
                        </FontString>
                    </Layer>
                </Layers>
                <Scripts>
                    <OnClick>
                        ChatEdit_ActivateChat(DEFAULT_CHAT_FRAME.editBox)
                        DEFAULT_CHAT_FRAME.editBox:Insert("https://gitlab.com/knights-of-sunwell/dbm-sirus")
                    </OnClick>
                    <OnEnter>
                        DBM_GUI_OptionsFrameLinkLink:SetTextColor(1,1,1,1)
                    </OnEnter>
                    <OnLeave>
                        DBM_GUI_OptionsFrameLinkLink:SetTextColor(1,0.82,0,1)
                    </OnLeave>
                </Scripts>
            </Button>
            <Frame name="$parentBossMods" inherits="DBM_GUI_OptionsFrameListTemplate">
                <Size>
                    <AbsDimension x="205" y="409"/>
                </Size>
                <Anchors>
                    <Anchor point="TOPLEFT">
                        <Offset>
                            <AbsDimension x="22" y="-40"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Scripts>
                    <OnLoad>
                        self.selection = nil
                    </OnLoad>
                    <OnShow>
                        DBM_GUI_OptionsFrame:UpdateMenuFrame(self)
                    </OnShow>
                </Scripts>
            </Frame>
            <Frame name="$parentDBMOptions" inherits="DBM_GUI_OptionsFrameListTemplate" hidden="true">
                <Size>
                    <AbsDimension x="205" y="409"/>
                </Size>
                <Anchors>
                    <Anchor point="TOPLEFT">
                        <Offset>
                            <AbsDimension x="22" y="-40"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Scripts>
                    <OnLoad>
                        self.selection = nil
                    </OnLoad>
                    <OnShow>
                        DBM_GUI_OptionsFrame:UpdateMenuFrame(self)
                    </OnShow>
                </Scripts>
            </Frame>
            <Frame name="$parentPanelContainer">
                <Anchors>
                    <Anchor point="TOPLEFT" relativeTo="$parentBossMods" relativePoint="TOPRIGHT">
                        <Offset>
                            <AbsDimension x="16" y="0"/>
                        </Offset>
                    </Anchor>
                    <Anchor point="BOTTOMLEFT" relativeTo="$parentBossMods" relativePoint="BOTTOMRIGHT">
                        <Offset>
                            <AbsDimension x="16" y="1"/>
                        </Offset>
                    </Anchor>
                    <Anchor point="RIGHT">
                        <Offset>
                            <AbsDimension x="-22" y="0"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Backdrop edgeFile="Interface\Tooltips\UI-Tooltip-Border" tile="true">
                    <EdgeSize>
                        <AbsValue val="16"/>
                    </EdgeSize>
                    <TileSize>
                        <AbsValue val="16"/>
                    </TileSize>
                    <BackgroundInsets>
                        <AbsInset left="5" right="5" top="5" bottom="5"/>
                    </BackgroundInsets>
                </Backdrop>
                <Layers>
                    <Layer level="BACKGROUND">
                        <FontString name="$parentHeaderText" inherits="GameFontHighlightSmall" text="">
                            <Anchors>
                                <Anchor point="BOTTOMLEFT" relativeTo="$parent" relativePoint="TOPLEFT">
                                    <Offset>
                                        <AbsDimension x="10" y="1"/>
                                    </Offset>
                                </Anchor>
                            </Anchors>
                        </FontString>
                    </Layer>
                </Layers>
                <Frames>
                    <ScrollFrame name="$parentFOV">
                        <Anchors>
                            <Anchor point="TOPLEFT" relativeTo="$parent" relativePoint="TOPLEFT">
                                <Offset>
                                    <AbsDimension x="5" y="-5"/>
                                </Offset>
                            </Anchor>
                            <Anchor point="BOTTOMRIGHT" relativeTo="$parent" relativePoint="BOTTOMRIGHT">
                                <Offset>
                                    <AbsDimension x="-20" y="7"/>
                                </Offset>
                            </Anchor>
                        </Anchors>
                        <Frames>        
                            <Slider name="$parentScrollBar" inherits="DBM_GUI_PanelScrollBarTemplate">
                                <Anchors>
                                    <Anchor point="TOPRIGHT">
                                        <Offset>
                                            <AbsDimension x="15" y="-15"/>
                                        </Offset>
                                    </Anchor>
                                    <Anchor point="BOTTOMRIGHT">
                                        <Offset>
                                            <AbsDimension x="15" y="13"/>
                                        </Offset>
                                    </Anchor>    
                                </Anchors>
                                <Scripts>
                                    <OnLoad>
                                        self:SetMinMaxValues(0, 0)
                                        self:SetValue(0)
                                        self.offset = 0    
                                    </OnLoad>
                                    <OnVerticalScroll>
                                        self:SetValue(offset);
                                        self.offset = floor((offset / 10) + 0.5)
                                    </OnVerticalScroll>
                                </Scripts>
                            </Slider>
                        </Frames>
                        <Scripts>
                            <OnMouseWheel>
                                local scrollBar = getglobal(self:GetName() .. "ScrollBar")
                                if ( arg1 > 0 ) then
                                    scrollBar:SetValue(scrollBar:GetValue() - (scrollBar:GetHeight() / 2))
                                else
                                    scrollBar:SetValue(scrollBar:GetValue() + (scrollBar:GetHeight() / 2))
                                end
                            </OnMouseWheel>
                        </Scripts>
                    </ScrollFrame>
                </Frames>
                <Scripts>
                    <OnLoad>
                        self:SetBackdropBorderColor(0.6, 0.6, 0.6, 1);
                    </OnLoad>
                </Scripts>
            </Frame>
            <Button name="$parentTab1" inherits="DBM_GUI_OptionsFrameTabButtonTemplate" text="Bosses" id="1" hidden="false">
                <Anchors>
                    <Anchor point="BOTTOMLEFT" relativeTo="$parentBossMods" relativePoint="TOPLEFT">
                        <Offset>
                            <AbsDimension x="6" y="-3"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Scripts>
                    <OnLoad>
                        self.firstshow = true
                    </OnLoad>
                    <OnShow>
                        if self.firstshow then
                            self:GetParent():ShowTab(1)
                            self.firstshow = false
                        end
                    </OnShow>
                    <OnClick>
                        self:GetParent():ShowTab(1)
                    </OnClick>
                </Scripts>
            </Button>
            <Button name="$parentTab2" inherits="DBM_GUI_OptionsFrameTabButtonTemplate" text="Options" id="2" hidden="false">
                <Anchors>
                    <Anchor point="TOPLEFT" relativeTo="$parentTab1" relativePoint="TOPRIGHT">
                        <Offset>
                            <AbsDimension x="-16" y="0"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Scripts>
                    <OnClick>
                        self:GetParent():ShowTab(2)
                    </OnClick>
                </Scripts>
            </Button>
        </Frames>
        <Scripts>
            <OnLoad>
                self.firstshow = true
                self:SetFrameLevel(self:GetFrameLevel() + 4)
                function self:ShowTab(tab)
                    self.tab = tab
                    if tab == 1 then
                        getglobal(self:GetName().."Tab1Left"):Hide()
                        getglobal(self:GetName().."Tab1Right"):Hide()
                        getglobal(self:GetName().."Tab1Middle"):Hide()
                        getglobal(self:GetName().."Tab2Left"):Show()
                        getglobal(self:GetName().."Tab2Right"):Show()
                        getglobal(self:GetName().."Tab2Middle"):Show()

                        getglobal(self:GetName().."Tab1LeftDisabled"):Show()
                        getglobal(self:GetName().."Tab1RightDisabled"):Show()
                        getglobal(self:GetName().."Tab1MiddleDisabled"):Show()
                        getglobal(self:GetName().."Tab2LeftDisabled"):Hide()
                        getglobal(self:GetName().."Tab2RightDisabled"):Hide()
                        getglobal(self:GetName().."Tab2MiddleDisabled"):Hide()

                        getglobal(self:GetName().."BossMods"):Show()
                        getglobal(self:GetName().."DBMOptions"):Hide()

                    else 
                        getglobal(self:GetName().."Tab1Left"):Show()
                        getglobal(self:GetName().."Tab1Right"):Show()
                        getglobal(self:GetName().."Tab1Middle"):Show()
                        getglobal(self:GetName().."Tab2Left"):Hide()
                        getglobal(self:GetName().."Tab2Right"):Hide()
                        getglobal(self:GetName().."Tab2Middle"):Hide()

                        getglobal(self:GetName().."Tab1LeftDisabled"):Hide()
                        getglobal(self:GetName().."Tab1RightDisabled"):Hide()
                        getglobal(self:GetName().."Tab1MiddleDisabled"):Hide()
                        getglobal(self:GetName().."Tab2LeftDisabled"):Show()
                        getglobal(self:GetName().."Tab2RightDisabled"):Show()
                        getglobal(self:GetName().."Tab2MiddleDisabled"):Show()

                        getglobal(self:GetName().."BossMods"):Hide()
                        getglobal(self:GetName().."DBMOptions"):Show()
                    end
                end
                self:SetMovable(true)
                self:SetUserPlaced(true)
                self:RegisterForDrag("LeftButton")
            </OnLoad>
            <OnShow>
                if self.firstshow then
                    self.firstshow = false
                    self:CreateButtons( getglobal(self:GetName().."BossMods") )
                    self:CreateButtons( getglobal(self:GetName().."DBMOptions") )
                    self:UpdateMenuFrame( getglobal(self:GetName().."BossMods") )
                end
            </OnShow>
            <OnDragStart>
                self:StartMoving()
            </OnDragStart>
            <OnDragStop>
                self:StopMovingOrSizing()
            </OnDragStop>
        </Scripts>
    </Frame>
    
    <Button name="DBM_GUI_FrameButtonTemplate" virtual="true">
        <Size>
            <AbsDimension x="185" y="18"/>
        </Size>
        <Scripts>
            <OnLoad>
                self.text = getglobal(self:GetName() .. "Text");
                self.highlight = self:GetHighlightTexture();
                self.highlight:SetVertexColor(0.196, 0.388, 0.8);
                self:RegisterForClicks("LeftButtonUp");
            </OnLoad>
            <OnClick>
                DBM_GUI_OptionsFrame:OnButtonClick(self);
            </OnClick>
        </Scripts>

        <Frames>
            <Button name="$parentToggle" inherits="InterfaceOptionsToggleButtonTemplate">
                <Size>
                    <AbsDimension x="14" y="14"/>
                </Size>
                <Anchors>
                    <Anchor point="TOPLEFT" relativeTo="$parent" relativePoint="TOPLEFT">
                        <Offset>
                            <AbsDimension x="5" y="-1"/>
                        </Offset>
                    </Anchor>
                </Anchors>
                <Scripts>
                    <OnLoad>
                        self:GetParent().toggle = self;
                        self:RegisterForClicks("LeftButtonUp", "RightButtonUp");
                    </OnLoad>
                    <OnClick>
                        DBM_GUI_OptionsFrame:ToggleSubCategories(self);
                    </OnClick>
                </Scripts>
                <NormalTexture name="$parentNormalTexture" file="Interface\Buttons\UI-MinusButton-UP"/>
                <PushedTexture name="$parentPushedTexture" file="Interface\Buttons\UI-MinusButton-DOWN"/>
                <HighlightTexture name="$parentHighlightTexture" file="Interface\Buttons\UI-PlusButton-Hilight" alphaMode="ADD"/>
            </Button>
        </Frames>
        <ButtonText name="$parentText" justifyH="LEFT">
            <Anchors>
                <Anchor point="RIGHT" relativeTo="$parentToggle" relativePoint="LEFT">
                    <Offset>
                        <AbsDimension x="-2" y="0"/>
                    </Offset>
                </Anchor>
            </Anchors>
        </ButtonText>
        <NormalFont style="GameFontNormal"/>
        <HighlightFont style="GameFontHighlight"/>
        <HighlightTexture file="Interface\QuestFrame\UI-QuestLogTitleHighlight" alphaMode="ADD">
            <Anchors>
                <Anchor point="TOPLEFT">    
                    <Offset>
                        <AbsDimension x="0" y="1"/>
                    </Offset>
                </Anchor>
                <Anchor point="BOTTOMRIGHT">    
                    <Offset>
                        <AbsDimension x="0" y="1"/>
                    </Offset>
                </Anchor>
            </Anchors>
        </HighlightTexture>
    </Button>

    <EditBox name="DBM_GUI_FrameEditBoxTemplate" autoFocus="false" virtual="true">
        <Layers>
            <Layer level="BACKGROUND">
                <Texture name="$parentLeft" file="Interface\ChatFrame\UI-ChatInputBorder-Left">
                    <Size>
                        <AbsDimension x="32" y="32"/> 
                    </Size>
                    <Anchors>
                        <Anchor point="LEFT">
                            <Offset>
                                <AbsDimension x="-14" y="0"/> 
                            </Offset>
                        </Anchor>
                    </Anchors>
                    <TexCoords left="0" right="0.125" top="0" bottom="1.0"/>
                </Texture>
                <Texture name="$parentRight" file="Interface\ChatFrame\UI-ChatInputBorder-Right">
                    <Size>
                        <AbsDimension x="32" y="32"/> 
                    </Size>
                    <Anchors>
                        <Anchor point="RIGHT">
                            <Offset>
                                <AbsDimension x="6" y="0" /> 
                            </Offset>
                        </Anchor>
                    </Anchors>
                    <TexCoords left="0.875" right="1.0" top="0" bottom="1.0"/>
                </Texture>
                <Texture name="$parentMiddle" file="Interface\ChatFrame\UI-ChatInputBorder-Right">
                    <Size>
                        <AbsDimension x="1" y="32"/>
                    </Size>
                    <Anchors>
                        <Anchor point="LEFT" relativeTo="$parentLeft" relativePoint="RIGHT">
                            <Offset>
                                <AbsDimension x="0" y="0"/>
                            </Offset>
                        </Anchor>
                        <Anchor point="RIGHT" relativeTo="$parentRight" relativePoint="LEFT">
                            <Offset>
                                <AbsDimension x="0" y="0"/>
                            </Offset>
                        </Anchor>
                    </Anchors>
                    <TexCoords left="0" right="0.9375" top="0" bottom="1.0"/>
                </Texture>
            </Layer>
            <Layer level="BACKGROUND">
                <FontString name="$parentText" inherits="GameFontNormalSmall" text="xx">
                    <Anchors>
                        <Anchor point="TOPLEFT" relativeTo="$parent" relativePoint="TOPLEFT">
                            <Offset>
                                <AbsDimension x="-4" y="13"/>
                            </Offset>
                        </Anchor>
                    </Anchors>
                </FontString>
            </Layer>
        </Layers>
        <FontString inherits="ChatFontNormal"></FontString>
    </EditBox>

</Ui>

